language: cpp
sudo: required
compiler:
  - gcc
  - clang
env: 
  global:
    - secure: ViEXlUgT66UGxlMPd2ZmZdB9rhFS3rsl6ktJFdyRukdXwZl3/5boy95RJJawFSQ4PmcKX35oZ5Afl7CSuT5r7uiEoFCeZu38b80E3BsuUr4zPgdZS4hI818L/MPhahmN5ravefVbDl+Yf95bWQ79EYj45yvh1dJH+YRBD+ucPDk=
    - "APT_DEPENDENCIES=doxygen doxygen-latex libboost-all-dev libeigen3-dev liblapack-dev libblas-dev gfortran"
notifications:
  email:
    - hpp-source@laas.fr
branches:
  only:
  - master
matrix:
  allow_failures:
    - compiler: clang
before_install: ./travis_custom/custom_before_install
install:
  - pip install --user coveralls
script:
  - export CMAKE_ADDITIONAL_OPTIONS="-DCMAKE_BUILD_TYPE=${BUILDTYPE}"
  - sudo free -m -t
  - travis_wait ./.travis/run ../travis_custom/custom_build
script: ./.travis/run ../travis_custom/custom_build
after_failure: ./.travis/run after_failure
after_success:
  - ./.travis/run after_success
  #- export PYTHONPATH=$install_dir/lib/python2.7/site-packages
  #- coveralls-lcov -v -n $build_dir/coverage.info > coverage.json
  - export PYTHONPATH=/tmp/_ci/install/lib/python2.7/site-packages
  - coveralls-lcov -v -n /tmp/_ci/build/coverage.info > coverage.json
  - coverage run ./python/tests.py
  - coveralls --merge=coverage.json
